#--------------------------------------------------------------------------#
# save-plot.gnu   2009-01-23    S.J. Ormiston 
#
# original 2003-12-08 
# modified 2005-10-25 to change tgif to portrait solid
# modified 2005-10-30 to add item 5: table
# modified 2009-01-11 added color to type 2
# modified 2009-01-11 added png as type 6 (only works with default fonts)
# modified 2009-01-23 changed terminal to be stored and then reset generically
#--------------------------------------------------------------------------#
# save plot as a predefined type AFTER the plot is ready on the screen
#
# Usage:  call 'save-plot.gnu' n "fname"
#
# where n is an integer pointing to the device type (see types below)
# and "fname" is the name of file to be saved (WITHOUT the extension)
#
# To get help type:  call 'save-plot.gnu' 0
# which will list the types available and Usage
#
   type = $0  # get first parameter
#
#--------------------------------------------------------------------------#
# save the original terminal (to work on X11 and Windows terminals)
   set terminal push
#--------------------------------------------------------------------------#
if (type == 0) print " Formats available with this macro";\
               print " Type 1: TGIF"; print " Type 2: PS (landscape,color)";\
               print " Type 3: PS (portrait)"; print " Type 4: PS (eps)";\
               print " Type 5: TABLE;\
               print " Type 6: PNG;\
               print " USAGE: gnuplot> call 'save-plot.gnu' Type filename";\
               print "    where filename does NOT include the extension";\
               print " Example: gnuplot> call 'save-plot.gnu' 1 'myplot'";\
               print "    will create 'myplot.obj'"
#
if (type == 1) print "Saving plot as TGIF object in file: $1.obj";\
               set term tgif portrait solid;  set output "$1.obj"; replot
#
if (type == 2) print "Saving plot as Landscape Postscript in file: $1.ps";\
               set term post landscape color; set output "$1.ps";  replot
#
if (type == 3) print "Saving plot as Portrait Postscript in file: $1.ps";\
               set term post portrait;  set output "$1.ps";  replot
#
if (type == 4) print "Saving plot as EPS in file: $1.eps";\
               set term post eps;  set output "$1.eps";  replot
#
if (type == 5) print "Saving plot as TABLE data in file: $1.tab";\
               set term table;  set output "$1.tab";  replot
#
if (type == 6) print "Saving plot as PNG in file: $1.png";\
               set term png;  set output "$1.png";  replot
#
# Reset for all types (done here because it applies to all and because
# no other commands are executed after the replot in the cases above).
#
               print "Resetting terminal to screen output";\
               set output; set term pop
#--------------------------------------------------------------------------#
