# defs-Cfin.gnu   2009-01-24  S.J. Ormiston
#-------------------------------------------------------------------#
# Definitions of Circular fin parameters
#-------------------------------------------------------------------#
#
   pi = 3.1415927
   Ac(d)  = (pi/4.) * (d**2)
   P(d)   = pi*d
#
#-------------------------------------------------------------------#
   Theta_b = T_b - T_inf
   Theta_L = T_L - T_inf
#
   m(h,k,d) = sqrt( h * P(d) / ( k * Ac(d) ) )
   M(h,k,d) = sqrt( h * P(d) * k * Ac(d) ) * Theta_b
#-------------------------------------------------------------------#
#
# Fin temperature functions
# (specific to circular fins because of d in m and M)
#-------------------------------------------------------------------#
#
#--------+
# Case A |
#--------+
   Theta_cfin_a(x,h,k,d) = \
    ( cosh( m(h,k,d)*(L-x) ) + \
      (h/(m(h,k,d)*k)) * sinh( m(h,k,d)*(L-x) ) )/ \
    ( cosh( m(h,k,d)*L )     + \
      (h/(m(h,k,d)*k)) * sinh( m(h,k,d)*L ) )
#
   T_cfin_a(x,h,k,d) = T_inf + Theta_b * Theta_cfin_a(x,h,k,d)
#
#-------------------------------------------------------------------#
#
#--------+
# Case B |
#--------+
   Theta_cfin_b (x,h,k,d) =   cosh( m(h,k,d)*(L-x) )/ \
                              cosh( m(h,k,d)*L )
#
   T_cfin_b (x,h,k,d) = T_inf + Theta_b * Theta_cfin_b(x,h,k,d)
#-------------------------------------------------------------------#
#
#--------+
# Case C |
#--------+
#
   Theta_cfin_c (x,h,k,d) = \
    ( (Theta_L/Theta_b)*sinh( m(h,k,d)*x ) + sinh( m(h,k,d)*(L-x) ) )/ \
      sinh( m(h,k,d)*L )
#
   T_cfin_c(x,h,k,d) = T_inf + Theta_b * Theta_cfin_c(x,h,k,d)
#
#-------------------------------------------------------------------#
#
#--------+
# Case D |
#--------+
#
   Theta_cfin_d (x,h,k,d) = exp( - m(h,k,d)*x )
#
   T_cfin_d(x,h,k,d) = T_inf + Theta_b * Theta_cfin_d(x,h,k,d)
#
#-------------------------------------------------------------------#
